use ntex::web::{self, App};
use ntex_files;

mod form;
mod pages;

#[ntex::main]
async fn main() -> std::io::Result<()> {
    web::server(move || {
        App::new()
            .service(pages::index)
            .service(form::upload)
            .service(ntex_files::Files::new("/static", "./static"))
    })
    .bind("127.0.0.1:3002")?
    .run()
    .await
}
